<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::pyramid_down&lt; 3 &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1pyramid__down_3_013_01_4.html">pyramid_down&lt; 3 &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="classdlib_1_1pyramid__down_3_013_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::pyramid_down&lt; 3 &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::pyramid_down&lt; 3 &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1pyramid__down_3_013_01_4.png" usemap="#dlib::pyramid_5Fdown_3C_203_20_3E_map" alt=""/>
  <map id="dlib::pyramid_5Fdown_3C_203_20_3E_map" name="dlib::pyramid_5Fdown_3C_203_20_3E_map">
<area href="classdlib_1_1impl_1_1pyramid__down__3__2.html" alt="dlib::impl::pyramid_down_3_2" shape="rect" coords="0,56,176,80"/>
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="0,0,176,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1impl_1_1pyramid__down__3__2.html">dlib::impl::pyramid_down_3_2</a></td></tr>
<tr class="memitem:a6a1021bc21f974631f3345fc390c477b inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplParams" colspan="2"><a id="a6a1021bc21f974631f3345fc390c477b"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a6a1021bc21f974631f3345fc390c477b inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1vector.html">vector</a>&lt; double, 2 &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>point_down</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; T, 2 &gt; &amp;p) const</td></tr>
<tr class="separator:a6a1021bc21f974631f3345fc390c477b inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bfff637398e5aaefe7c0f022aaba8b0 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplParams" colspan="2"><a id="a3bfff637398e5aaefe7c0f022aaba8b0"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a3bfff637398e5aaefe7c0f022aaba8b0 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1vector.html">vector</a>&lt; double, 2 &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>point_up</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; T, 2 &gt; &amp;p) const</td></tr>
<tr class="separator:a3bfff637398e5aaefe7c0f022aaba8b0 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d4ba4ce5eee40bba4b77dac0bbbd12c inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplParams" colspan="2"><a id="a4d4ba4ce5eee40bba4b77dac0bbbd12c"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a4d4ba4ce5eee40bba4b77dac0bbbd12c inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1vector.html">vector</a>&lt; double, 2 &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>point_down</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; T, 2 &gt; &amp;p, unsigned int levels) const</td></tr>
<tr class="separator:a4d4ba4ce5eee40bba4b77dac0bbbd12c inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2a7fae90f77224036b7fd89778221d6 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplParams" colspan="2"><a id="ad2a7fae90f77224036b7fd89778221d6"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:ad2a7fae90f77224036b7fd89778221d6 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1vector.html">vector</a>&lt; double, 2 &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>point_up</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; T, 2 &gt; &amp;p, unsigned int levels) const</td></tr>
<tr class="separator:ad2a7fae90f77224036b7fd89778221d6 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bdd3f546ffd0e326420c7708a6a064a inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memItemLeft" align="right" valign="top"><a id="a7bdd3f546ffd0e326420c7708a6a064a"></a>
<a class="el" href="classdlib_1_1drectangle.html">drectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect_up</b> (const <a class="el" href="classdlib_1_1drectangle.html">drectangle</a> &amp;rect) const</td></tr>
<tr class="separator:a7bdd3f546ffd0e326420c7708a6a064a inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3750c0bd5f82c0e27541a788f8923131 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memItemLeft" align="right" valign="top"><a id="a3750c0bd5f82c0e27541a788f8923131"></a>
<a class="el" href="classdlib_1_1drectangle.html">drectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect_up</b> (const <a class="el" href="classdlib_1_1drectangle.html">drectangle</a> &amp;rect, unsigned int levels) const</td></tr>
<tr class="separator:a3750c0bd5f82c0e27541a788f8923131 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5af424f4515a4261fbadf03d9350aab inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memItemLeft" align="right" valign="top"><a id="ab5af424f4515a4261fbadf03d9350aab"></a>
<a class="el" href="classdlib_1_1drectangle.html">drectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect_down</b> (const <a class="el" href="classdlib_1_1drectangle.html">drectangle</a> &amp;rect) const</td></tr>
<tr class="separator:ab5af424f4515a4261fbadf03d9350aab inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f414407100d9061641fa7af416c0a27 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memItemLeft" align="right" valign="top"><a id="a8f414407100d9061641fa7af416c0a27"></a>
<a class="el" href="classdlib_1_1drectangle.html">drectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect_down</b> (const <a class="el" href="classdlib_1_1drectangle.html">drectangle</a> &amp;rect, unsigned int levels) const</td></tr>
<tr class="separator:a8f414407100d9061641fa7af416c0a27 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48498d0eaec166937edc1a133d0c90d3 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplParams" colspan="2"><a id="a48498d0eaec166937edc1a133d0c90d3"></a>
template&lt;typename in_image_type , typename out_image_type &gt; </td></tr>
<tr class="memitem:a48498d0eaec166937edc1a133d0c90d3 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1disable__if.html">disable_if</a>&lt; <a class="el" href="structdlib_1_1impl_1_1pyramid__down__3__2_1_1both__images__rgb.html">both_images_rgb</a>&lt; in_image_type, out_image_type &gt; &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const in_image_type &amp;original_, out_image_type &amp;down_) const</td></tr>
<tr class="separator:a48498d0eaec166937edc1a133d0c90d3 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8044c78a8878e840fee05a55fa5f03a6 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplParams" colspan="2"><a id="a8044c78a8878e840fee05a55fa5f03a6"></a>
template&lt;typename in_image_type , typename out_image_type &gt; </td></tr>
<tr class="memitem:a8044c78a8878e840fee05a55fa5f03a6 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1enable__if.html">enable_if</a>&lt; <a class="el" href="structdlib_1_1impl_1_1pyramid__down__3__2_1_1both__images__rgb.html">both_images_rgb</a>&lt; in_image_type, out_image_type &gt; &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const in_image_type &amp;original_, out_image_type &amp;down_) const</td></tr>
<tr class="separator:a8044c78a8878e840fee05a55fa5f03a6 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85c8132e02b1c567de5ea813edbd88a0 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplParams" colspan="2"><a id="a85c8132e02b1c567de5ea813edbd88a0"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:a85c8132e02b1c567de5ea813edbd88a0 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (image_type &amp;img) const</td></tr>
<tr class="separator:a85c8132e02b1c567de5ea813edbd88a0 inherit pub_methods_classdlib_1_1impl_1_1pyramid__down__3__2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="image__pyramid_8h_source.html">image_pyramid.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
